net.i2p.router.transport.udp

## Class MessageReceiver

- java.lang.Object
- - net.i2p.router.transport.udp.MessageReceiver

     class MessageReceiver
    extends Object

Pull fully completed fragments off the `InboundMessageFragments` queue, parse 'em into I2NPMessages, and stick them on the `InNetMessagePool` by way of the `UDPTransport`.

### Constructor Summary

Constructors
Constructor and Description
`MessageReceiver(RouterContext ctx, UDPTransport transport)`

### Method Summary

Methods
`void` `loop(I2NPMessageHandler handler)`
`void` `receiveMessage(InboundMessageState state)`
`void` `shutdown()`
`void` `startup()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageReceiver

    public MessageReceiver(RouterContext ctx,
                   UDPTransport transport)

### Method Detail

#### startup

    public void startup()

#### shutdown

    public void shutdown()

#### receiveMessage

    public void receiveMessage(InboundMessageState state)

#### loop

    public void loop(I2NPMessageHandler handler)